﻿<UserControl x:Class="Tpig.Components.SoftKeyboards.KeyboardLayouts.NumericControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d" 
             d:DesignHeight="300" d:DesignWidth="600">
    <UserControl.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="/Tpig.Components.SoftKeyboards;component/KeyboardLayouts/Styles.xaml"/>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </UserControl.Resources>

    <Grid Background="#cc000000">
        <Viewbox Stretch="Uniform">
            <Grid Width="100" Height="100">
                <Grid.Resources>
                    <Style TargetType="Button" BasedOn="{StaticResource NormalKey}">
                    </Style>
                </Grid.Resources>
                <Grid.RowDefinitions>
                    <RowDefinition Height="*"/>
                    <RowDefinition Height="*"/>
                    <RowDefinition Height="*"/>
                    <RowDefinition Height="*"/>
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                    <ColumnDefinition Width="*"/>
                </Grid.ColumnDefinitions>

                <Button Grid.Row="0" Grid.Column="0" CommandParameter="7" Content="7"/>
                <Button Grid.Row="0" Grid.Column="1" CommandParameter="8" Content="8"/>
                <Button Grid.Row="0" Grid.Column="2" CommandParameter="9" Content="9"/>

                <Button Grid.Row="1" Grid.Column="0" CommandParameter="4" Content="4"/>
                <Button Grid.Row="1" Grid.Column="1" CommandParameter="5" Content="5"/>
                <Button Grid.Row="1" Grid.Column="2" CommandParameter="6" Content="6"/>

                <Button Grid.Row="2" Grid.Column="0" CommandParameter="1" Content="1"/>
                <Button Grid.Row="2" Grid.Column="1" CommandParameter="2" Content="2"/>
                <Button Grid.Row="2" Grid.Column="2" CommandParameter="3" Content="3"/>

                <Button Grid.Row="3" Grid.Column="0" CommandParameter="0" Content="0"/>
                <Button Grid.Row="3" Grid.Column="1" CommandParameter="00" Content="00"/>
                <Button Grid.Row="3" Grid.Column="2" CommandParameter="." Content="." />

                <Button Grid.Row="0" Grid.Column="3" Style="{StaticResource SpecialKey}" CommandParameter="*" Content="C"/>
                <Button Grid.Row="1" Grid.Column="3" Style="{StaticResource SpecialKey}" CommandParameter="1" Content="&#x232b;"/>
                <Button Grid.Row="2" Grid.Column="3" Style="{StaticResource SpecialKey}" CommandParameter="Enter" Content="&#x2ba0;"/>
                <Button Grid.Row="3" Grid.Column="3" Style="{StaticResource SpecialKey}" CommandParameter="Hide" Content="&#x1f847;"/>
            </Grid>
        </Viewbox>
    </Grid>
</UserControl>
